/*
 * Copyright 2006 Phidgets Inc.  All rights reserved.
 */

package com.phidgets;
import java.util.Iterator;
import java.util.LinkedList;
import com.phidgets.event.*;
public final class TextLCDPhidget extends Phidget {
	public TextLCDPhidget() throws PhidgetException {
		super(create());
	}
	private static native long create() throws PhidgetException;
	public native int getRowCount() throws PhidgetException;
	public native int getColumnCount() throws PhidgetException;
	public native int getContrast() throws PhidgetException;
	public native void setContrast(int contrast) throws PhidgetException;
	public native boolean getBacklight() throws PhidgetException;
	public native void setBacklight(boolean backlight) throws PhidgetException;
	public native boolean getCursor() throws PhidgetException;
	public native void setCursor(boolean cursor) throws PhidgetException;
	public native boolean getCursorBlink() throws PhidgetException;
	public native void setCursorBlink(boolean cursorblink) throws PhidgetException;
	public native void setDisplayString(int index, String text) throws PhidgetException;
	public native void setCustomCharacter(int index, int param1, int param2) throws PhidgetException;
	protected final void enableDeviceSpecificEvents (boolean b) {}
}
